we have some task need to be scheduled to run at specific time pattern 
eg daily, daily at 2AM, weekly, monthly etc.

ref. https://stackoverflow.com/a/56678329/248616
ref. crontab syntax https://crontab.guru/
ref. crontab sample https://crontab.guru/examples.html

---

we handle single cronjob
then, we make it ready to run multi-cronjob 
